W_kPetHealthBarWidth = 18;

function W_Create_PetButton( buttonNum, unitButtonFrameName )
	local petButtonFrameName = "W_Pet_Button"..buttonNum;

	local f = CreateFrame("Button", petButtonFrameName, WhammyFrame, "WhammyPetButtonTemplate");

	f:SetPoint("TOPRIGHT", unitButtonFrameName, "TOPRIGHT", 5, 0); --create the pet button on the unit frame button
	f:SetID( buttonNum+100 );
	
	local t = getglobal( petButtonFrameName.."_Texture" );
	t:SetTexture( .2, .2, .2, 1 ); --the pet button alpha channel set to 1 so it is totall opaque
	f:Hide(); --start off hidden
end

function W_PetButton_Onload()
	this:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp"); -- the buttons need to see the mouse clicks
end

function W_PetButton_MouseDown()

end

function W_PetButton_MouseUp()

end

function W_Clear_PetButton( petButtonName )
	local pb = getglobal(petButtonName);
	
	pb:SetAttribute("type", "stop");
	pb:SetAttribute("unit", nil);

	W_Set_Unit_Button_Curse_Texture( petButtonName, false);
	W_Set_Unit_Health_Bar_Value( petButtonName, W_kPetHealthBarWidth);
end